﻿$ErrorActionPreference = 'Stop'

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'exe'       
    url            = 'https://github.com//ShareX/ShareX/releases/download/v13.1.0/ShareX-13.1.0-setup.exe' 
    checksum       = 'a510b1eefc745d1d52f5f3aae42e7c63e5723c1f5b3f7eb713097e40c5624939'
    checksumType   = 'SHA256'
    silentArgs     = '/sp /silent /norestart'
	validExitCodes = @(0)
}

Write-Host "If an older version of ShareX is running on this machine, it will be closed prior to the installation of the newer version."
Get-Process -Name sharex -ErrorAction SilentlyContinue | Stop-Process

Install-ChocolateyPackage @packageArgs
